<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();

            $table->unsignedInteger('year');
            $table->string('name_tz');
            $table->string('type_tz');
            $table->string('nomenclature_number');
            $table->string('sizes');
            $table->string('manufacturer');
            $table->string('unit');
            $table->string('type');
            $table->unsignedBigInteger('product_price');
            $table->unsignedBigInteger('installation_price');
            $table->unsignedBigInteger('total_price');
            $table->text('manufacturer_name');
            $table->string('article');
            $table->text('note');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
